<?php
/**
 * @package linea21.modules
 * @subpackage workshop
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

//////////// Check Inclusion de pages //////////// 
if (!function_exists('AuthenthificationProcess')){ 
include_once("../lib/lib_common.php");
ReloadIndex('admin');
}
////////////

if (isset($_POST['id'])) $id = $_POST['id'];
if (isset($_GET['id'])) $id = $_GET['id'];

if (isset($_POST['com_id'])) $com_id = $_POST['com_id'];
if (isset($_GET['com_id'])) $com_id = $_GET['com_id'];

if(!isset($_GET['debut'])) $debut=0;
else $debut=$_GET['debut'];


$req_count_com = SQL_getWorkcom_detList($com_id);
$result_nb_com=$sql_object->DBSelect($req_count_com);
$bdd_nb_com=$result_nb_com[0]['nb_rep'];
$bdd_nb_com_display = $bdd_nb_com." ".$GLOBALS['lang']['workshop']['nb_total_com_mes']."<br />\n";


include_once("../lib/lib_common.php");
$req_det = SQL_getoneCompleteWorkshop($id);
$result = $sql_object -> DBSelect($req_det);
if (count($result) > 1) exit();


$link_det = $rub_link . "&amp;todo=det&amp;id=";
$link_sup_com=$rub_link."&amp;todo=sup_com&amp;id=".$id."&amp;com_id=";
$link_lock_com=$rub_link."&amp;todo=lock_com&amp;id=".$id."&amp;com_id=";
$link_mod_com=$rub_link."&amp;todo=mod_com&amp;id=".$id."&amp;com_id=";
$link_add_com=$rub_link."&amp;todo=add_com&amp;id=".$id."&amp;com_id=";
$link_list_com=$rub_link."&amp;todo=list_com&amp;id=".$id;
$link_det_com=$rub_link."&amp;todo=det_com&amp;id=".$id."&amp;com_id=";
$link_det_user="index.php?rub=user&amp;todo=det&amp;id=";

$link_self=$link_det_com.$com_id;

$workshop_denomination = formatText($result[0]['workshop_denomination'], '2HTML');
$workshop_resume = formatText($result[0]['workshop_resume'], '2HTML');

if (empty($result[0]['workshop_comment'])) $workshop_comment = $GLOBALS['lang']['divers']['none'];
else $workshop_comment = formatText($result[0]['workshop_comment'], '2HTML');

$theme_denomination = formatText($result[0]['theme_name'], '2HTML');
$level_denomination = formatText($result[0]['level_name'], '2HTML');
$workshop_statut = display_statut($result[0]['workshop_statut']);
$display_date_crea = $result[0]['workshop_date_crea_display'];
$display_last_modify = $result[0]['workshop_last_modify_display'];

	$link_back='';
	$count_request=$bdd_nb_com;
$req_com_root = SQL_getOnetopicWorkcom($id, $com_id, $com_id);
$result_com_root = $sql_object -> DBSelect($req_com_root);
$com_num=-1;

$req_list_com = SQL_getOnetopicWorkcom2($id, $com_id, $com_num, $debut, SELECT_LIMIT);
$result_com = $sql_object -> DBSelect($req_list_com);


$reca_com='';

if ($result_com_root [0]['workcom_statut']=='C') {
  $reca_com .= "\n<div class=\"task_forum\" id=\"task_forum_out\">\n";
  }
else {
$reca_com .= "\n<div class=\"task_forum\" id=\"task_forum_title\">\n";
}

$reca_com .= "<span class=\"date_task\">" . $result_com_root[0]['workcom_date_crea_display'] . "</span>\n";
$reca_com .= "<span class=\"titre_task\">" . formatText($result_com_root[0]['workcom_subject'], '2HTML') . "</span>\n";
if (WorkshopAuth_id (GetSessionElement('id'), $sql_object, $id)==true || IsSuperAdmin()){
$reca_com .="<a href=\"" . $link_sup_com ."0&amp;mes_id=".$result_com_root[0]['workcom_id']."\" title=\"" . $GLOBALS['lang']['workshop']['sup_com'] . "\" class=\"ico_sup2\"></a>"; 
$reca_com .="<a href=\"" . $link_mod_com ."0&amp;mes_id=".$result_com_root[0]['workcom_id']."\" title=\"" . $GLOBALS['lang']['workshop']['mod_com'] . "\" class=\"ico_mod2\"></a>";	
}	 		
$reca_com .= "<br class=\"brendstep\" /><p class=\"text_task\">" . linkin_content(formatText($result_com_root[0]['workcom_body'], '2HTML')) . "</p>";
$reca_com .= "<br class=\"brendstep\" />";
if (IsSuperAdmin())
$reca_com .= "<a href=\"" . $link_det_user.$result_com_root[0]['workcom_user_id']."\" title=\"" . $GLOBALS['lang']['workshop']['com_author'] . "\" class=\"auth_task_forum\">". formatText($result_com_root[0]['user_login'], '2HTML') . "</a><span class=\"auth_task_forum\">".$GLOBALS['lang']['workshop']['com_author'].": </span>\n";
else $reca_com .= "<span class=\"auth_task_forum\">". formatText($result_com_root[0]['user_login'], '2HTML') . "</span><span class=\"auth_task_forum\">".$GLOBALS['lang']['workshop']['com_author'].": </span>\n";
$reca_com .="</div>\n";

$reca_com_list='';
if ($result_com<>0) {
for($i = 0; $i < count($result_com); $i++) {

if ($result_com [$i]['workcom_statut']=='C') {
  $reca_com_list .= "\n<div class=\"task_forum\" id=\"task_forum_out\">\n";
}
else {
$reca_com_list .= "\n<div class=\"task_forum\">\n";
}
$reca_com_list .= "<span class=\"date_task_forum\">" . $result_com [$i]['workcom_date_crea_display'] . "</span>\n";
$reca_com_list .= "<span class=\"titre_task_forum\">" . formatText($result_com [$i]['workcom_subject'], '2HTML') . "</span>\n";
if (WorkshopAuth_id (GetSessionElement('id'), $sql_object, $id)==true || IsSuperAdmin()){
$reca_com_list .="<a href=\"" . $link_sup_com . $com_id . "&amp;mes_id=".$result_com [$i]['workcom_id']."\" title=\"" . $GLOBALS['lang']['workshop']['sup_com_mes'] . "\" class=\"ico_sup2\"></a>"; 		 		
$reca_com_list .="<a href=\"" . $link_mod_com . $com_id . "&amp;mes_id=".$result_com [$i]['workcom_id']."\" title=\"" . $GLOBALS['lang']['workshop']['mod_com_mes'] . "\" class=\"ico_mod2\"></a>";
}
$reca_com_list .= "<br class=\"brendstep\" /><p class=\"text_task_forum\">" . linkin_content(formatText($result_com [$i]['workcom_body'], '2HTML')) . "</p>";
$reca_com_list .= "<br class=\"brendstep\" />";
if (IsSuperAdmin())
$reca_com_list .= "<a href=\"" . $link_det_user.$result_com[$i]['workcom_user_id']."\" title=\"" . $GLOBALS['lang']['workshop']['com_author'] . "\" class=\"auth_task_forum\">". formatText($result_com[$i]['user_login'], '2HTML') . "</a><span class=\"auth_task_forum\">".$GLOBALS['lang']['workshop']['com_author'].": </span>\n";
else $reca_com_list .= "<span class=\"auth_task_forum\">". formatText($result_com[$i]['user_login'], '2HTML') . "</span><span class=\"auth_task_forum\">".$GLOBALS['lang']['workshop']['com_author'].": </span>\n";

$reca_com_list .="</div>\n";

} 
}
else {
$reca_com_list .="<div class=\"info\">".$GLOBALS['lang']['workshop']['no_com_rep']."</div>";
}
?>
<div id="chemin">
	<ul>
		<li>
			<a href="index.php"><?php echo $GLOBALS['lang']['way']['home'];
?></a>
		</li>
		<li>
			<a href="<?php echo $rub_link;
?>"><?php echo $GLOBALS['lang']['menu']['workshop'];
?></a>
		</li>
		<li>
			<span><?php echo formatnavTitle($GLOBALS['lang']['workshop']['det_com'] . " : " .$result_com_root[0]['workcom_subject']);
?></span>
		</li>
	</ul>
</div>
  <!--end barre haute -->
<?php
include_once("quickicons.php");

?>
<div class="contentcontainer">
<?php
include_once($dir . "/menurub.php");

?>
<div id="content">
<?php afflinkbar($todo,$id, $lang); ?>
		<?php
echo "<h2>" . formatTitleh2($result_com_root[0]['workcom_subject']. " ( " . $workshop_denomination . ")") ."</h2>\n";

?>

<?php
if (WorkshopAuth_id (GetSessionElement('id'), $sql_object, $id)==true || IsSuperAdmin()){
if ($result_com_root [0]['workcom_statut']<>'C'){
echo "<a href=\"" . $link_add_com . $com_id . "\" title=\"" . $GLOBALS['lang']['workshop']['add_com_mes']  . "\" class=\"ico_add2\"></a>";
}
if ($result_com_root [0]['workcom_statut']=='C'){
 echo "<a href=\"" . $link_lock_com ."0&amp;lock=1&amp;mes_id=".$result_com_root[0]['workcom_id']."\" title=\"" . $GLOBALS['lang']['workshop']['unlock_com'] . "\" class=\"ico_unlock2\"></a>";
}else{
 echo "<a href=\"" . $link_lock_com ."0&amp;lock=0&amp;mes_id=".$result_com_root[0]['workcom_id']."\" title=\"" . $GLOBALS['lang']['workshop']['lock_com'] . "\" class=\"ico_lock2\"></a>";
}
}
?>

	
<p><?php
	echo $bdd_nb_com_display;
	//echo $count_request_display;
	?>
	</p>
<?php
echo linkin_page($link_self, $count_request, $debut);

 
echo $reca_com;
echo $reca_com_list;

echo linkin_page($link_self, $count_request, $debut);

?>
<br class="brendstep" />
</div>
<?php include_once($dir . "/help.php");
?>
</div>
